Subject: Re: [PATCH v5 2/9] test: add test_write_lines helper

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Apr 2014 11:31:27 -0700

Jonathan Nieder <[email-masked]> writes:

> Michael S. Tsirkin wrote:
>
>> --- a/t/test-lib-functions.sh
>> +++ b/t/test-lib-functions.sh
>> @@ -712,6 +712,11 @@ test_ln_s_add () {
>>  	fi
>>  }
>>  
>> +# This function writes out its parameters, one per line
>> +test_write_lines () {
>> +	printf "%s\n" "$@";
>> +}
>> +
>
> Thanks for fixing this.
>
> Nits:
>
>  * no need for the trailing semicolon

Good eyes.  I was wondering if I wrote that (which I found very
unlikely).

>  * it's probably worth documenting this in t/README as well so people
>    writing new test scripts know what it's about.

Sounds like a good idea.

Thanks.